Sie sind auf Seite 1von 1

Nutzung von Map&Guide-Vektorkarten durch GPSTracker Infos zur Umstellung von MapServer Version 4 auf Version 5

Ausgangslage April 2007


GPSTracker verwendet Vektorkartenmaterial der Firma Map&Guide. Zur Nutzung dieser Vektorkarten verwendet er als MapServer bezeichnete Softwaremodule. Aktuell werden MapServer der Version 4.xx verwendet. Die dazu passenden Vektorkarten findet man als Dateien in einem Kartenverzeichnis mit der Verzeichnis-Endkennung map (beispielsweise Europa City Map Release 12.2006.map)

Neue MapServer Version 5


Map&Guide hat die MapServer-Technologie weiterentwickelt und bietet diese nun als MapServer 5 an. Gleichzeitig hat sich jedoch auch das Datenformat der Vektorkarten gendert. Dies bedeutet : alte MapServer 4-Karten funktionieren nicht mehr unter MapServer 5 ! Die neuen MapServer 5-Vektorkarten sind nun Dateien in einem Kartenverzeichnis mit der Verzeichnis-Endkennung geo (beispielsweise Europa City Map Release 12.2006.geo)

GPSTracker-Umstellung auf MapServer Version 5


Zur Nutzung des neuen MapServer 5 muss der GPSTracker angepasst werden. Diese zeitaufwendigen Anpassungsarbeiten sind zur Zeit im vollen Gange, da doch erhebliche Inkompatibilitten zur alten MapServer 4 Version festgestellt wurden.

Was bentigt man zur Umstellung ?


Ein reiner Austausch der alten GPSTracker.exe fr Mapserver 4 gegen die neue GPSTracker.exe fr MapServer 5 reicht leider nicht aus ! Es wird eine Vielzahl zustzlicher, neuer Dateien bentigt, die nur im Rahmen eines vollstndigen GPSTracker-MapServer 5-Setups installiert werden knnen. Weiterhin bentigt man mindestens eine neue MapServer 5 Vektorkarte (Format *.geo)

Muss man umstellen ?


Zunchst besteht kein dringender Handlungsbedarf ! Fr das Jahr 2007 hat die Firma Map&Guide zugesagt, weiterhin den MapServer 4 zu untersttzen. Ab 2008 muss allerdings MapServer 5 verwendet werden. Die ZSIUK wird allen Anwendern fr dieses Jahr parallel GPSTracker-Versionen fr beide MapServer-Versionen zur Verfgung stellen.

Welche Vorteile bringt MapServer 5 fr GPSTracker ?


Aus unserer Sicht sind keine bedeutenden Vorteile zu erkennen ! Der Kartenzugriff soll schneller sein, allerdings auf Kosten lngerer Ladezeiten. Die Reportgenerierung ist etwas schneller. Die Kartennavigation prsentiert sich optisch anders (Zooming-Effekt). Fazit ist allerdings, das unabhngig von der Bewertung der Vorteile, ab Anfang 2008 der MapServer 5 verwendet werden muss, da ab dann MapServer 4 nicht mehr von Map&Guide untersttzt wird.

Rckmeldung von Fehlern


Die teilweise Inkompatibilitt der neuen MapServer-Version bewirkt, dass einige Funktionen teilweise oder vollstndig umprogrammiert werden mssen. Wir bemhen uns alle betroffenen Funktionen zu lokalisieren und anzupassen. Sollten Sie als Anwender ein Fehlverhalten gegenber frheren Funktionen entdecken, bitten wir um formlose Mitteilung des Fehlverhaltens an kurt.spitzley@bgszsiuk.de.